function Initialize(Plugin)
	PLUGIN = Plugin
	Plugin:SetName("Snowy Mountains")
	Plugin:SetVersion(1)
	
	PluginManager = cRoot:Get():GetPluginManager()
	PluginManager:AddHook(Plugin, cPluginManager.HOOK_CHUNK_GENERATED)
	LoadSettings()
	LOGINFO("Initialized " .. Plugin:GetName() .. " v." .. Plugin:GetVersion() )
	return true
end

function LoadSettings()
	SettingsIni = cIniFile( PLUGIN:GetLocalDirectory() .. "/Config.ini" )
	SettingsIni:ReadFile()
	Height = SettingsIni:GetValueSetI( "General", "Height", 100 )
	SettingsIni:WriteFile()
end

function OnChunkGenerated(World, ChunkX, ChunkZ, ChunkDesc)
	for Z = 0, 16 do
		for X = 0, 16 do
			if ChunkDesc:GetBiome( X, Z ) == 3 then
				Y = ChunkDesc:GetHeight( X, Z )
				if Y > Height then
					if ChunkDesc:GetBlockType( X, Y, Z ) == 2 then
						ChunkDesc:SetBlockTypeMeta( X, Y + 1, Z, 78, 0 )
					end
				end
			end
		end
	end
end